import os
import secrets
from app import create_app

# Generate a secret key if not provided
if not os.environ.get("SECRET_KEY"):
    os.environ["SECRET_KEY"] = secrets.token_hex(32)

# Get Flask environment
flask_env = os.environ.get("FLASK_ENV", "production")

# Create the application
app = create_app(flask_env)

# Also provide 'application' for WSGI servers that look for this name
application = app

if __name__ == "__main__":
    # Only for development
    debug = flask_env != "production"
    app.run(host="0.0.0.0", port=8000, debug=debug)
